package service;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import java.util.ArrayList;
import java.util.Scanner;

import javax.swing.Icon;

import metier.Joueur;
import metier.Paquet;
import metier.Table;

public class BlackJackServiceImpl extends UnicastRemoteObject implements IBlackJackRemote{
	private Table table;
	
	public BlackJackServiceImpl() throws RemoteException {
		super();
		this.table= new Table();
	}





	@Override
	public void hit() throws RemoteException {
		System.out.println("Le joueur "+table.getJoueurs()+"tire.");
		
	}

	@Override
	public void miser() throws RemoteException {
		
		
	}


	@Override
	public void inscription(Joueur j) throws RemoteException {
		System.out.println("Le joueur :"+j.getNom()+" s'est inscris");
		this.table.addJoueur(j);
	}





	@Override
	public Table getTable() throws RemoteException {
		return table;
	}

}
