
import java.util.ArrayList;
import java.util.Scanner;




public class Tour {

	private ArrayList<Joueur> joueurs;
	public static  Paquet paquetJeu;
	private Paquet mainCroupier;
	private int compteur;
	
	public Tour(){
		this.compteur=0;
		this.joueurs=new ArrayList<Joueur>();
		this.paquetJeu = new Paquet();
		this.paquetJeu.createFullDeck();
		this.mainCroupier = new Paquet();
	}
	
	public ArrayList<Joueur> getJoueurs() {
		return joueurs;
	}

	public Paquet getPaquetJeu() {
		return paquetJeu;
	}

	public Paquet getMainCroupier() {
		return mainCroupier;
	}

	public int getCompteur() {
		return compteur;
	}

	public void setJoueurs(ArrayList<Joueur> joueurs) {
		this.joueurs = joueurs;
	}

	public void setPaquetJeu(Paquet paquetJeu) {
		this.paquetJeu = paquetJeu;
	}

	public void setMainCroupier(Paquet mainCroupier) {
		this.mainCroupier = mainCroupier;
	}

	public void setCompteur(int compteur) {
		this.compteur = compteur;
	}

	public void addJoueur(Joueur joueur){
		joueurs.add(joueur);
	}
	
	public void jouerTour(){
	
	while(joueurs.size()>0){
		
		System.out.println("Le croupier mélange les cartes du paquet..");
		mainCroupier.moveAllToDeck(paquetJeu);
		paquetJeu.shuffle();	


		for (Joueur currentPlayer : joueurs) {
			System.out.println(currentPlayer.getNom()+",vous avez : "
					+ ""+ currentPlayer.getArgent() +" euros. Combiens voulez vous miser ?");
			currentPlayer.miser();
		}

		mainCroupier.draw(paquetJeu);
		mainCroupier.draw(paquetJeu);
		
		System.out.println("##### Distribution des cartes ! ######");
		System.out.println("Main du Dealer :  " + mainCroupier.getCard(0).toString() + " et [CACHEE]\n");
		for (Joueur currentPlayer : joueurs) {
			currentPlayer.getMain().moveAllToDeck(paquetJeu);
			currentPlayer.getMain().draw(paquetJeu);
			currentPlayer.getMain().draw(paquetJeu);
			System.out.println(currentPlayer.getNom()+", Votre main :" + currentPlayer.getMain().toString());
			while(true){
				System.out.println("La valeur totale de votre main est :  " + currentPlayer.getMain().cardsValue());
				System.out.println("Voulez vous (1)Tirer ou (2)");
				Scanner userInput = new Scanner(System.in);
				int reponse = userInput.nextInt();
				if( reponse== 1 ){
					currentPlayer.hit();
					if(currentPlayer.isDepasse()==true){
						break;
					}
				}
				if (reponse == 2){
					System.out.println("Vous restez sur cette main.");
					break;
				}
			}
			
		}
		
		///////////////////////////
		System.out.println("########################");
		System.out.println("Main du dealer" + mainCroupier.toString()+" de valeur : "+mainCroupier.cardsValue());
		for (Joueur currentPlayer : joueurs) {
			
			while (mainCroupier.cardsValue() < 17 && currentPlayer.getEndRound()==false) {
				mainCroupier.draw(paquetJeu);
				System.out.println("Le Dealer pioche : " + mainCroupier.getCard(mainCroupier.deckSize() - 1).toString());
				System.out.println("valeur de la main du dealeur : "+mainCroupier.cardsValue());
			}
			if (mainCroupier.cardsValue() > currentPlayer.getMain().cardsValue() &&
					mainCroupier.cardsValue()<=21 && currentPlayer.getEndRound()==false) {
					System.out.println("-------------------------");
					System.out.println("Dealer gagne avec  " + mainCroupier.cardsValue() + " contre " + currentPlayer.getMain().cardsValue());
					System.out.println(currentPlayer.getNom()+", il vous reste " + currentPlayer.getArgent()+" euros.");
					currentPlayer.getMain().moveAllToDeck(paquetJeu);
					currentPlayer.setEndRound(true);
				}
			if ((mainCroupier.cardsValue() > 21) && currentPlayer.getEndRound()==false) {
				System.out.println("-------------------------");
				System.out.println("Le Dealer a dépassé. Vous gagnez!");
				currentPlayer.setArgent(currentPlayer.getArgent()+2*currentPlayer.getMise());
				System.out.println(currentPlayer.getNom()+", vous avez maintenant : " + currentPlayer.getArgent()+" euros.");
				currentPlayer.getMain().moveAllToDeck(paquetJeu);
				currentPlayer.setEndRound(true);
			}// Determine if push                                                                     
			if ((mainCroupier.cardsValue() == currentPlayer.getMain().cardsValue()) && currentPlayer.getEndRound() == false) {        
				System.out.println("Egalité.");                                                       
				currentPlayer.setEndRound(true); 
				currentPlayer.getMain().moveAllToDeck(paquetJeu);
				currentPlayer.setArgent(currentPlayer.getArgent()+currentPlayer.getMise());
			} 
			if (currentPlayer.getMain().cardsValue()>mainCroupier.cardsValue() && currentPlayer.getEndRound()==false){
				System.out.println(currentPlayer.getNom()+", vous gagnez ! ");
				currentPlayer.setArgent(currentPlayer.getArgent()+2*currentPlayer.getMise());
				System.out.println(currentPlayer.getNom()+", vous avez maintenant : " + currentPlayer.getArgent()+" euros.");
				currentPlayer.getMain().moveAllToDeck(paquetJeu);
				currentPlayer.setEndRound(true);
			}
			else if(currentPlayer.getEndRound() == false) //dealer wins
			{
				System.out.println("Dealer wins.");
				currentPlayer.setArgent(currentPlayer.getArgent());
				System.out.println(currentPlayer.getNom()+", vous avez maintenant : " + currentPlayer.getArgent()+" euros.");

			}
			
			System.out.println("Le croupier rammasse les cartes");
			// End of hand - put cards back in deck
			currentPlayer.getMain().moveAllToDeck(paquetJeu);
			currentPlayer.setEndRound(false);
			System.out.println("Fin de la partie de : "+ currentPlayer.getNom());
			if(currentPlayer.getArgent()==0){
				joueurs.remove(currentPlayer);
			}
			System.out.println("########################");
		/*	System.out.println("voulez vous rester "+ currentPlayer.getNom()+" ?");
			Scanner userInput = new Scanner(System.in);
			int reponse = userInput.nextInt();
			if(reponse == 1)joueurs.remove(currentPlayer);
			;*/
			
		}
		mainCroupier.moveAllToDeck(paquetJeu);
		paquetJeu.shuffle();
		System.out.println("\n");
	}
		mainCroupier.moveAllToDeck(paquetJeu);
		paquetJeu.shuffle();

}
	
	
}